---
id: version-0.32-engine-rn
title: React Native Engine
sidebar_label: React Native
original_id: engine-rn
---

<img src="https://renative.org/img/ic_engine.png" width=50 height=50 />

<!--AUTO_GENERATED_START-->


## Overview

Default react-native based engine. Runs standard react native apps with native support

## Supported Platforms

[ios](platforms/ios.md), [android](platforms/android.md), [androidtv](platforms/androidtv.md), [firetv](platforms/firetv.md), [androidwear](platforms/androidwear.md), [tvos](platforms/tvos.md)

## Required Plugins

[react](../plugins#react), [react-art](../plugins#react-art), [react-dom](../plugins#react-dom), [react-native](../plugins#react-native), [react-native-web](../plugins#react-native-web), [@react-native-community/cli-platform-ios](../plugins#react-native-communitycli-platform-ios), [@react-native-community/cli](../plugins#react-native-communitycli)

## Required NPM Packages















## Extensions

### ios

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn.jsx` | 1 |
| `engine-rn.js` | 2 |
| `engine-rn.tsx` | 3 |
| `engine-rn.ts` | 4 |
| `ios.mobile.rn.jsx` | 5 |
| `ios.mobile.jsx` | 6 |
| `ios.mobile.rn.js` | 7 |
| `ios.mobile.js` | 8 |
| `ios.mobile.rn.tsx` | 9 |
| `ios.mobile.tsx` | 10 |
| `ios.mobile.rn.ts` | 11 |
| `ios.mobile.ts` | 12 |
| `mobile.rn.jsx` | 13 |
| `mobile.jsx` | 14 |
| `mobile.rn.js` | 15 |
| `mobile.js` | 16 |
| `mobile.rn.tsx` | 17 |
| `mobile.tsx` | 18 |
| `mobile.rn.ts` | 19 |
| `mobile.ts` | 20 |
| `ios.rn.jsx` | 21 |
| `ios.jsx` | 22 |
| `ios.rn.js` | 23 |
| `ios.js` | 24 |
| `ios.rn.tsx` | 25 |
| `ios.tsx` | 26 |
| `ios.rn.ts` | 27 |
| `ios.ts` | 28 |
| `mobile.native.rn.jsx` | 29 |
| `mobile.native.jsx` | 30 |
| `mobile.native.rn.js` | 31 |
| `mobile.native.js` | 32 |
| `mobile.native.rn.tsx` | 33 |
| `mobile.native.tsx` | 34 |
| `mobile.native.rn.ts` | 35 |
| `mobile.native.ts` | 36 |
| `native.rn.jsx` | 37 |
| `native.jsx` | 38 |
| `native.rn.js` | 39 |
| `native.js` | 40 |
| `native.rn.tsx` | 41 |
| `native.tsx` | 42 |
| `native.rn.ts` | 43 |
| `native.ts` | 44 |
| `jsx` | 45 |
| `js` | 46 |
| `tsx` | 47 |
| `ts` | 48 |
| `mjs` | 49 |
| `json` | 50 |
| `wasm` | 51 |
### android

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn.jsx` | 1 |
| `engine-rn.js` | 2 |
| `engine-rn.tsx` | 3 |
| `engine-rn.ts` | 4 |
| `android.mobile.rn.jsx` | 5 |
| `android.mobile.jsx` | 6 |
| `android.mobile.rn.js` | 7 |
| `android.mobile.js` | 8 |
| `android.mobile.rn.tsx` | 9 |
| `android.mobile.tsx` | 10 |
| `android.mobile.rn.ts` | 11 |
| `android.mobile.ts` | 12 |
| `mobile.rn.jsx` | 13 |
| `mobile.jsx` | 14 |
| `mobile.rn.js` | 15 |
| `mobile.js` | 16 |
| `mobile.rn.tsx` | 17 |
| `mobile.tsx` | 18 |
| `mobile.rn.ts` | 19 |
| `mobile.ts` | 20 |
| `android.rn.jsx` | 21 |
| `android.jsx` | 22 |
| `android.rn.js` | 23 |
| `android.js` | 24 |
| `android.rn.tsx` | 25 |
| `android.tsx` | 26 |
| `android.rn.ts` | 27 |
| `android.ts` | 28 |
| `mobile.native.rn.jsx` | 29 |
| `mobile.native.jsx` | 30 |
| `mobile.native.rn.js` | 31 |
| `mobile.native.js` | 32 |
| `mobile.native.rn.tsx` | 33 |
| `mobile.native.tsx` | 34 |
| `mobile.native.rn.ts` | 35 |
| `mobile.native.ts` | 36 |
| `native.rn.jsx` | 37 |
| `native.jsx` | 38 |
| `native.rn.js` | 39 |
| `native.js` | 40 |
| `native.rn.tsx` | 41 |
| `native.tsx` | 42 |
| `native.rn.ts` | 43 |
| `native.ts` | 44 |
| `jsx` | 45 |
| `js` | 46 |
| `tsx` | 47 |
| `ts` | 48 |
| `mjs` | 49 |
| `json` | 50 |
| `wasm` | 51 |
### androidtv

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn.jsx` | 1 |
| `engine-rn.js` | 2 |
| `engine-rn.tsx` | 3 |
| `engine-rn.ts` | 4 |
| `androidtv.tv.rn.jsx` | 5 |
| `androidtv.tv.jsx` | 6 |
| `androidtv.tv.rn.js` | 7 |
| `androidtv.tv.js` | 8 |
| `androidtv.tv.rn.tsx` | 9 |
| `androidtv.tv.tsx` | 10 |
| `androidtv.tv.rn.ts` | 11 |
| `androidtv.tv.ts` | 12 |
| `tv.rn.jsx` | 13 |
| `tv.jsx` | 14 |
| `tv.rn.js` | 15 |
| `tv.js` | 16 |
| `tv.rn.tsx` | 17 |
| `tv.tsx` | 18 |
| `tv.rn.ts` | 19 |
| `tv.ts` | 20 |
| `androidtv.rn.jsx` | 21 |
| `androidtv.jsx` | 22 |
| `androidtv.rn.js` | 23 |
| `androidtv.js` | 24 |
| `androidtv.rn.tsx` | 25 |
| `androidtv.tsx` | 26 |
| `androidtv.rn.ts` | 27 |
| `androidtv.ts` | 28 |
| `android.rn.jsx` | 29 |
| `android.jsx` | 30 |
| `android.rn.js` | 31 |
| `android.js` | 32 |
| `android.rn.tsx` | 33 |
| `android.tsx` | 34 |
| `android.rn.ts` | 35 |
| `android.ts` | 36 |
| `tv.native.rn.jsx` | 37 |
| `tv.native.jsx` | 38 |
| `tv.native.rn.js` | 39 |
| `tv.native.js` | 40 |
| `tv.native.rn.tsx` | 41 |
| `tv.native.tsx` | 42 |
| `tv.native.rn.ts` | 43 |
| `tv.native.ts` | 44 |
| `native.rn.jsx` | 45 |
| `native.jsx` | 46 |
| `native.rn.js` | 47 |
| `native.js` | 48 |
| `native.rn.tsx` | 49 |
| `native.tsx` | 50 |
| `native.rn.ts` | 51 |
| `native.ts` | 52 |
| `jsx` | 53 |
| `js` | 54 |
| `tsx` | 55 |
| `ts` | 56 |
| `mjs` | 57 |
| `json` | 58 |
| `wasm` | 59 |
### firetv

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn.jsx` | 1 |
| `engine-rn.js` | 2 |
| `engine-rn.tsx` | 3 |
| `engine-rn.ts` | 4 |
| `firetv.tv.rn.jsx` | 5 |
| `firetv.tv.jsx` | 6 |
| `firetv.tv.rn.js` | 7 |
| `firetv.tv.js` | 8 |
| `firetv.tv.rn.tsx` | 9 |
| `firetv.tv.tsx` | 10 |
| `firetv.tv.rn.ts` | 11 |
| `firetv.tv.ts` | 12 |
| `tv.rn.jsx` | 13 |
| `tv.jsx` | 14 |
| `tv.rn.js` | 15 |
| `tv.js` | 16 |
| `tv.rn.tsx` | 17 |
| `tv.tsx` | 18 |
| `tv.rn.ts` | 19 |
| `tv.ts` | 20 |
| `firetv.rn.jsx` | 21 |
| `firetv.jsx` | 22 |
| `firetv.rn.js` | 23 |
| `firetv.js` | 24 |
| `firetv.rn.tsx` | 25 |
| `firetv.tsx` | 26 |
| `firetv.rn.ts` | 27 |
| `firetv.ts` | 28 |
| `android.rn.jsx` | 29 |
| `android.jsx` | 30 |
| `android.rn.js` | 31 |
| `android.js` | 32 |
| `android.rn.tsx` | 33 |
| `android.tsx` | 34 |
| `android.rn.ts` | 35 |
| `android.ts` | 36 |
| `tv.native.rn.jsx` | 37 |
| `tv.native.jsx` | 38 |
| `tv.native.rn.js` | 39 |
| `tv.native.js` | 40 |
| `tv.native.rn.tsx` | 41 |
| `tv.native.tsx` | 42 |
| `tv.native.rn.ts` | 43 |
| `tv.native.ts` | 44 |
| `native.rn.jsx` | 45 |
| `native.jsx` | 46 |
| `native.rn.js` | 47 |
| `native.js` | 48 |
| `native.rn.tsx` | 49 |
| `native.tsx` | 50 |
| `native.rn.ts` | 51 |
| `native.ts` | 52 |
| `jsx` | 53 |
| `js` | 54 |
| `tsx` | 55 |
| `ts` | 56 |
| `mjs` | 57 |
| `json` | 58 |
| `wasm` | 59 |
### androidwear

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn.jsx` | 1 |
| `engine-rn.js` | 2 |
| `engine-rn.tsx` | 3 |
| `engine-rn.ts` | 4 |
| `androidwear.watch.rn.jsx` | 5 |
| `androidwear.watch.jsx` | 6 |
| `androidwear.watch.rn.js` | 7 |
| `androidwear.watch.js` | 8 |
| `androidwear.watch.rn.tsx` | 9 |
| `androidwear.watch.tsx` | 10 |
| `androidwear.watch.rn.ts` | 11 |
| `androidwear.watch.ts` | 12 |
| `watch.rn.jsx` | 13 |
| `watch.jsx` | 14 |
| `watch.rn.js` | 15 |
| `watch.js` | 16 |
| `watch.rn.tsx` | 17 |
| `watch.tsx` | 18 |
| `watch.rn.ts` | 19 |
| `watch.ts` | 20 |
| `androidwear.rn.jsx` | 21 |
| `androidwear.jsx` | 22 |
| `androidwear.rn.js` | 23 |
| `androidwear.js` | 24 |
| `androidwear.rn.tsx` | 25 |
| `androidwear.tsx` | 26 |
| `androidwear.rn.ts` | 27 |
| `androidwear.ts` | 28 |
| `android.rn.jsx` | 29 |
| `android.jsx` | 30 |
| `android.rn.js` | 31 |
| `android.js` | 32 |
| `android.rn.tsx` | 33 |
| `android.tsx` | 34 |
| `android.rn.ts` | 35 |
| `android.ts` | 36 |
| `watch.native.rn.jsx` | 37 |
| `watch.native.jsx` | 38 |
| `watch.native.rn.js` | 39 |
| `watch.native.js` | 40 |
| `watch.native.rn.tsx` | 41 |
| `watch.native.tsx` | 42 |
| `watch.native.rn.ts` | 43 |
| `watch.native.ts` | 44 |
| `native.rn.jsx` | 45 |
| `native.jsx` | 46 |
| `native.rn.js` | 47 |
| `native.js` | 48 |
| `native.rn.tsx` | 49 |
| `native.tsx` | 50 |
| `native.rn.ts` | 51 |
| `native.ts` | 52 |
| `jsx` | 53 |
| `js` | 54 |
| `tsx` | 55 |
| `ts` | 56 |
| `mjs` | 57 |
| `json` | 58 |
| `wasm` | 59 |
### tvos

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn.jsx` | 1 |
| `engine-rn.js` | 2 |
| `engine-rn.tsx` | 3 |
| `engine-rn.ts` | 4 |
| `tvos.tv.rn.jsx` | 5 |
| `tvos.tv.jsx` | 6 |
| `tvos.tv.rn.js` | 7 |
| `tvos.tv.js` | 8 |
| `tvos.tv.rn.tsx` | 9 |
| `tvos.tv.tsx` | 10 |
| `tvos.tv.rn.ts` | 11 |
| `tvos.tv.ts` | 12 |
| `tv.rn.jsx` | 13 |
| `tv.jsx` | 14 |
| `tv.rn.js` | 15 |
| `tv.js` | 16 |
| `tv.rn.tsx` | 17 |
| `tv.tsx` | 18 |
| `tv.rn.ts` | 19 |
| `tv.ts` | 20 |
| `tvos.rn.jsx` | 21 |
| `tvos.jsx` | 22 |
| `tvos.rn.js` | 23 |
| `tvos.js` | 24 |
| `tvos.rn.tsx` | 25 |
| `tvos.tsx` | 26 |
| `tvos.rn.ts` | 27 |
| `tvos.ts` | 28 |
| `ios.rn.jsx` | 29 |
| `ios.jsx` | 30 |
| `ios.rn.js` | 31 |
| `ios.js` | 32 |
| `ios.rn.tsx` | 33 |
| `ios.tsx` | 34 |
| `ios.rn.ts` | 35 |
| `ios.ts` | 36 |
| `tv.native.rn.jsx` | 37 |
| `tv.native.jsx` | 38 |
| `tv.native.rn.js` | 39 |
| `tv.native.js` | 40 |
| `tv.native.rn.tsx` | 41 |
| `tv.native.tsx` | 42 |
| `tv.native.rn.ts` | 43 |
| `tv.native.ts` | 44 |
| `native.rn.jsx` | 45 |
| `native.jsx` | 46 |
| `native.rn.js` | 47 |
| `native.js` | 48 |
| `native.rn.tsx` | 49 |
| `native.tsx` | 50 |
| `native.rn.ts` | 51 |
| `native.ts` | 52 |
| `jsx` | 53 |
| `js` | 54 |
| `tsx` | 55 |
| `ts` | 56 |
| `mjs` | 57 |
| `json` | 58 |
| `wasm` | 59 |



<!--AUTO_GENERATED_END-->
